> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Update a workbook schedule

PATCH https://api.sigmacomputing.com/v2/workbooks/{workbookId}/schedules/{scheduleId}
Content-Type: application/json

Update a schedule of a workbook to export data from the workbook on a periodic basis.

### Usage notes

* Retrieve the **workbookId** by calling the [/v2/workbooks](https://help.sigmacomputing.com/reference/list-workbooks) endpoint.
* Retrieve the **scheduleId** by calling the [/v2/workbooks/\{workbookId}/schedules](https://help.sigmacomputing.com/reference/list-workbook-schedules) endpoint.
* To add or update a team recipient, retrieve the **teamId** by calling the [/v2/teams](https://help.sigmacomputing.com/reference/list-teams) endpoint.

Reference: https://help.sigmacomputing.com/reference/update-workbook-schedule

## Authentication

- OAuth2 — send the obtained token as `Authorization: Bearer <token>`

## Servers

- `https://api.sigmacomputing.com` (Server for GCP (US) hosted organizations, default)
- `https://api.sa.gcp.sigmacomputing.com` (Server for GCP (KSA) hosted organizations)
- `https://aws-api.sigmacomputing.com` (Server for AWS US (West) hosted organizations)
- `https://api.us-a.aws.sigmacomputing.com` (Server for AWS US (East) hosted organizations)
- `https://api.ca.aws.sigmacomputing.com` (Server for AWS Canada hosted organizations)
- `https://api.eu.aws.sigmacomputing.com` (Server for AWS Europe (Frankfurt) hosted organizations)
- `https://api.ch.aws.sigmacomputing.com` (Server for AWS Europe (Zurich) hosted organizations)
- `https://api.au.aws.sigmacomputing.com` (Server for AWS Australia and APAC hosted organizations)
- `https://api.uk.aws.sigmacomputing.com` (Server for AWS UK hosted organizations)
- `https://api.in.aws.sigmacomputing.com` (Server for AWS Asia Pacific (Mumbai) hosted organizations)
- `https://api.us.azure.sigmacomputing.com` (Server for Azure US hosted organizations)
- `https://api.eu.azure.sigmacomputing.com` (Server for Azure Europe hosted organizations)
- `https://api.ca.azure.sigmacomputing.com` (Server for Azure Canada hosted organizations)
- `https://api.uk.azure.sigmacomputing.com` (Server for Azure United Kingdom hosted organizations)
- `https://api.au.azure.sigmacomputing.com` (Server for Azure Australia hosted organizations)

## Request

### Path parameters

- `workbookId` (string, required) — Unique identifier of the workbook.
- `scheduleId` (string, required) — Unique identifier of the schedule.

### Body (application/json)

This endpoint expects an object.

- `target` (list of V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaTargetItems, optional) — One or more targets to send the workbook to.
- `schedule` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaSchedule, optional) — When to send the workbook export.
- `configV2` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2, optional) — Configuration settings for the export schedule.
- `description` (string, optional, nullable) — Description of the scheduled export
- `suspensionAction` (enum, optional) — Action to take on the schedule. Use `pause` to pause the schedule and `resume` to resume the schedule.
  - Allowed values: `pause`, `resume`

## Response

### 200

The response body.

- `scheduledNotificationId` (string, required) — Unique identifier of the scheduled export.
- `workbookId` (string, required) — Unique identifier of the workbook.
- `schedule` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaSchedule, required)
- `configV2` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2, required)
- `isSuspended` (boolean, required) — Whether the schedule is currently suspended.
- `ownerId` (string, required) — Unique identifier of the user who owns the schedule.
- `lastUpdatedByUser` (string, required) — Unique identifier of the user who last updated the schedule.
- `disabledAt` (datetime, required, nullable) — Timestamp when the schedule was disabled, or null if the schedule is active.
- `disabledBy` (string, required, nullable) — Unique identifier of the member who disabled the schedule, or null if the schedule is active.
- `createdBy` (string, required) — The identifier of the user who created this object.
- `updatedBy` (string, required) — The identifier of the user or process that last updated this object.
- `createdAt` (datetime, required) — When the object was created.
- `updatedAt` (datetime, required) — When the object was last updated.

## Types

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaTargetItems

- `teamId` (string, optional) — Unique identifier of the team to export to
- `email` (string, optional) — Email address to export to
- `ccEmail` (string, optional) — Email address to add as a Cc recipient
- `bccEmail` (string, optional) — Email address to add as a Bcc recipient
- `ccTeamId` (string, optional) — Unique identifier of the team to add as a Cc recipient
- `bccTeamId` (string, optional) — Unique identifier of the team to add as a Bcc recipient
- `slackConversationId` (string, optional) — Slack channel ID or member ID to export to
- `googleSpreadsheetUrl` (string, optional) — URL of the Google Sheet to export to
- `googleDriveFolderUrl` (string, optional) — URL of the Google Drive folder to export to
- `webhookUrl` (string, optional) — URL of the webhook endpoint to export to

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaSchedule

When to send the workbook export.

- `cronSpec` (string, optional) — A [cron expression](https://en.wikipedia.org/wiki/Cron). For example, `0 0 * * *`.
- `timezone` (string, optional) — An [IANA timezone name](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones). For example, `America/Los_Angeles`.

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2

Configuration settings for the export schedule.

- `title` (string, optional) — Title of the message
- `messageBody` (string, optional) — Body of the message
- `exportAttachments` (list of V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItems, optional) — Attachments to include in the export
- `exportName` (string, optional) — Name of the scheduled export
- `includeLink` (boolean, optional) — Include a link to the exported workbook
- `runAsRecipient` (boolean, optional) — Run the export queries as the recipient
- `attachmentSettings` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2AttachmentSettings, optional) — Export attachment settings
- `workbookVariant` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookVariant, optional) — Workbook variant
- `conditionOptions` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptions, optional) — Export condition options
- `workbookSettings` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettings, optional) — Workbook settings
- `formatting` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2Formatting, optional) — Export formatting options
- `exportDestination` (enum, optional) — email-burst builds a filtered export for each control value and emails those files to the recipients. (Beta) **Beta**: This documentation describes a public beta feature and is subject to the [Beta features](/docs/sigma-product-releases#beta-features) disclaimer.
  - Allowed values: `email-burst`
- `dynamicExportSettings` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2DynamicExportSettings, optional) — Control IDs to split the export by. Required when exportDestination is set. Retrieve each control ID from the name field of the [GET /v2/workbooks/\{workbookId}/controls](https://help.sigmacomputing.com/reference/get-workbook-controls) endpoint. (Beta) **Beta**: This documentation describes a public beta feature and is subject to the [Beta features](/docs/sigma-product-releases#beta-features) disclaimer.
- `dynamicRecipientSettings` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2DynamicRecipientSettings, optional) — Sets the email recipients for each split-by control value in the burst. When set, each value's export goes to the emails in the specified table row instead of a shared recipient list. (Beta) **Beta**: This documentation describes a public beta feature and is subject to the [Beta features](/docs/sigma-product-releases#beta-features) disclaimer.

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaSchedule

- `cronSpec` (string, required) — A [cron expression](https://en.wikipedia.org/wiki/Cron). For example, `0 0 * * *`.
- `timezone` (string, required) — An [IANA timezone name](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones). For example, `America/Los_Angeles`.

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2

- `title` (string, required)
- `messageBody` (string, required)
- `notificationAttachments` (list of V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItems, required)
- `includeLink` (boolean, optional)
- `runAsRecipient` (boolean, optional)
- `attachmentSettings` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2AttachmentSettings, optional)
- `conditionOptions` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptions, optional)
- `alertConfig` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2AlertConfig, optional)
- `notificationName` (string, optional)
- `dashboardSettings` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DashboardSettings, optional)
- `dynamicExportSettings` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettings, optional)
- `dynamicRecipientSettings` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicRecipientSettings, optional)
- `rowLimit` (double, optional)
- `workbookVariant` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2WorkbookVariant, optional)
- `embedOpts` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2EmbedOpts, optional)
- `formatting` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2Formatting, optional, nullable)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItems

Export attachment

- `formatOptions` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions, required) — Export format options
- `workbookExportSource` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSource, required) — Workbook export source options

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2AttachmentSettings

Export attachment settings

- `mergeAttachments` (boolean, optional) — Combines multiple PDF or XLSX attachments into a single file
- `zipAttachments` (boolean, optional) — Send attachments as a .zip file

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookVariant

Workbook variant

- `tagId` (string, optional) — Version tag to export
- `bookmarkId` (string, optional) — Saved view (formerly called a bookmark) to export

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptions

Export condition options

- Always: Always
- Workbook condition: Workbook condition

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettings

Workbook settings

- `controlValues` (map from string to V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues, optional) — This object maps control IDs to the values that they should have when exporting the workbook.
- `language` (enum, optional) — The locale identifier corresponding to the language of the translation.
  - Allowed values: `de`, `en`, `es`, `fr`, `it`, `ja`, `pl`, `pt`, `ru`, `th`, `en-au`, `en-ca`, `en-gb`, `en-ie`, `es-mx`, `fr-ca`, `ko-kr`, `nl-nl`, `pt-br`, `sv-se`, `tr-tr`, `zh-cn`, `zh-tw`
- `languageVariant` (string, optional) — The name of the custom translation variant.

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2Formatting

Export formatting options

- `pivotHeaderStyle` (enum, optional) — Style of pivot table headers
  - Allowed values: `merged`, `repeated`
- `includeMetadata` (boolean, optional) — Whether to include metadata in XLSX exports

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2DynamicExportSettings

Control IDs to split the export by. Required when exportDestination is set. Retrieve each control ID from the name field of the [GET /v2/workbooks/\{workbookId}/controls](https://help.sigmacomputing.com/reference/get-workbook-controls) endpoint. (Beta) **Beta**: This documentation describes a public beta feature and is subject to the [Beta features](/docs/sigma-product-releases#beta-features) disclaimer.

- `variables` (map from string to V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables, optional) — Map of list values control IDs to their value types. Use text or number for a single-select control, and text-list or number-list when multiple selection is on. For example, a multi-select text control named City-control is represented as \{ "City-control": \{ "type": "text-list" } }.

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2DynamicRecipientSettings

Sets the email recipients for each split-by control value in the burst. When set, each value's export goes to the emails in the specified table row instead of a shared recipient list. (Beta) **Beta**: This documentation describes a public beta feature and is subject to the [Beta features](/docs/sigma-product-releases#beta-features) disclaimer.

- `sourceNodeId` (string, required) — Element ID of the table that lists recipients for each burst value. Retrieve the elementId by calling the [GET /v2/workbooks/\{workbookId}/elements](https://help.sigmacomputing.com/reference/list-workbook-elements) endpoint.
- `recipientColumnId` (string, required) — Column ID that contains recipient email addresses. Retrieve the columnId by calling the [GET /v2/workbooks/\{workbookId}/elements/\{elementId}/columns](https://help.sigmacomputing.com/reference/get-element-columns) endpoint.

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItems

- `formatOptions` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions, required)
- `chartId` (string, optional)
- `workbookExportSource` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsWorkbookExportSource, optional)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2AttachmentSettings

- `mergePdfAttachments` (boolean, optional)
- `zipAttachments` (boolean, optional)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptions

- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptions0
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptions1
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptions2
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptions3

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2AlertConfig

- `window` (enum, required)
  - Allowed values: `alltime`, `daily`, `weekly`, `always`
- `volume` (double, optional, nullable)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DashboardSettings

- `filters` (list of V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DashboardSettingsFiltersItems, optional, nullable)
- `variableValues` (DashVariables, optional, nullable)
- `language` (enum, optional, nullable) — The locale identifier corresponding to the language of the translation.
  - Allowed values: `de`, `en`, `es`, `fr`, `it`, `ja`, `pl`, `pt`, `ru`, `th`, `en-au`, `en-ca`, `en-gb`, `en-ie`, `es-mx`, `fr-ca`, `ko-kr`, `nl-nl`, `pt-br`, `sv-se`, `tr-tr`, `zh-cn`, `zh-tw`
- `languageVariant` (string, optional, nullable)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettings

- `variables` (map from string to V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables, optional)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicRecipientSettings

- `sourceNodeId` (string, required)
- `recipientColumnId` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2WorkbookVariant

- `tagId` (string, optional)
- `exploreKey` (string, optional)
- `bookmarkId` (string, optional)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2EmbedOpts

- `embedId` (string, optional)
- `evalConnectionId` (string, optional)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2Formatting

- `pivotHeaderStyle` (enum, optional, nullable)
  - Allowed values: `merged`, `repeated`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions

Export format options

- CSV: V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions0
- JSONL: V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions1
- JSON: V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions2
- XLSX: V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions3
- PDF: V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions4
- PNG: PNG
- Google Sheets: Google Sheets

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsWorkbookExportSource

Workbook export source options

- Multiple elements export: Multiple elements export
- Multiple pages export: Multiple pages export
- Entire workbook export: Entire workbook export

### Always

Always send the export

- `type` (enum, required)
  - Allowed values: `always`

### Workbook condition

Send the export based on a condition

- `type` (enum, required)
  - Allowed values: `workbook`
- `condition` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1Condition, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues

Variable value

- Scalar value: Scalar value
- Boolean list value: Boolean list value
- List value: List value
- Hierarchical list value: Hierarchical list value
- Date range value: Date range value
- Number range value: V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues5
- Null value: Null value

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables

Type of the list values control to burst over.

- `type` (enum, required) — Value type of a list values control. Only `text` and `number` values are supported. If multiple selection is enabled, use `text-list` or `number-list`.
  - Allowed values: `text`, `number`, `text-list`, `number-list`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions

- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions0
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions1
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions2
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions3
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions4
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions5
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions6

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsWorkbookExportSource

- One element: One element
- One page: One page
- Multiple elements: Multiple elements
- Multiple pages: Multiple pages
- Entire workbook: Entire workbook

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptions0

- `type` (enum, required)
  - Allowed values: `always`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptions1

- `type` (enum, required)
  - Allowed values: `workbook`
- `conditions` (list of V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItems, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptions2

- `type` (enum, required)
  - Allowed values: `worksheet`
- `conditions` (list of V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItems, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptions3

- `type` (enum, required)
  - Allowed values: `dashboard`
- `conditions` (list of V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItems, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DashboardSettingsFiltersItems

- `id` (string, required)
- `filterStr` (string, required)

### DashVariables

- boolean: boolean
- number: number
- text: text
- date: date
- number-list: number-list
- text-list: text-list
- date-list: date-list
- boolean-list: boolean-list
- date-range: date-range
- number-range: number-range
- date-null: date-null
- number-null: number-null
- text-null: text-null
- boolean-null: boolean-null
- hierarchical-list: hierarchical-list
- file: file
- file-null: file-null
- file-list: file-list

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables

- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables0
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables1
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables2
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables3
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables4
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables5
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables6
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables7
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables8
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables9
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables10
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables11
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables12
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables13

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions0

CSV export format options

- `type` (enum, required)
  - Allowed values: `CSV`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions1

JSONL export format options

- `type` (enum, required)
  - Allowed values: `JSONL`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions2

JSON export format options

- `type` (enum, required)
  - Allowed values: `JSON`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions3

XLSX export format options

- `type` (enum, required)
  - Allowed values: `XLSX`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ExportAttachmentsItemsFormatOptions4

PDF export format options

- `type` (enum, required)
  - Allowed values: `PDF`
- `layout` (enum, optional)
  - Allowed values: `portrait`, `landscape`

### PNG

PNG export format options

- `type` (enum, required)
  - Allowed values: `PNG`

### Google Sheets

No export format options

- `type` (enum, required)
  - Allowed values: `NONE`

### Multiple elements export

Export multiple elements

- `type` (enum, required)
  - Allowed values: `element`
- `elementIds` (list of string, required) — Array of element identifiers to export

### Multiple pages export

Export multiple pages

- `type` (enum, required)
  - Allowed values: `page`
- `pageIds` (list of string, required) — Array of page identifiers to export

### Entire workbook export

Export all content

- `type` (enum, required)
  - Allowed values: `all`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1Condition

- Element is empty: Element is empty
- Element is not empty: Element is not empty
- Column meets condition: V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1Condition2

### Scalar value

Scalar value

- Boolean value: Boolean value
- Number value: Number value
- Text value: Text value
- Date value: Date value

### Boolean list value

Boolean list value

- `type` (enum, required)
  - Allowed values: `boolean-list`
- `value` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf1Value, required)

### List value

List value

- Number list value: Number list value
- Text list value: Text list value
- Date list value: Date list value

### Hierarchical list value

Hierarchical list value

- `type` (enum, required)
  - Allowed values: `hierarchical-list`
- `value` (list of list of V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf3ValueItemsItems, required) — Array of hierarchy paths. Each path is an array of segments, from the highest selected level of the hierarchy down to the lowest selected level of the hierarchy. Each segment is a `{type: "text", value: string}` object. For example, a Region/State/City hierarchy control with Oakland selected would be represented as `[[{"type":"text","value":"West"}, {"type":"text","value":"California"}, {"type":"text","value":"Oakland"}]]`

### Date range value

Date range value

- `type` (enum, required)
  - Allowed values: `date-range`
- `min` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Min, required) — Date selection
- `max` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Max, required) — Date selection

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValues5

Number range value

- `type` (enum, required)
  - Allowed values: `number-range`
- `min` (double, optional) — Minimum value of the range
- `max` (double, optional) — Maximum value of the range

### Null value

Null value

- Null date value: Null date value
- Null number value: Null number value
- Null text value: Null text value
- Null boolean value: Null boolean value

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions0

- `type` (enum, required)
  - Allowed values: `CSV`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions1

- `type` (enum, required)
  - Allowed values: `JSON`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions2

- `type` (enum, required)
  - Allowed values: `JSONL`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions3

- `type` (enum, required)
  - Allowed values: `EXCEL`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions4

- `type` (enum, required)
  - Allowed values: `PDF`
- `layout` (enum, optional)
  - Allowed values: `portrait`, `landscape`
- `scaleFactor` (double, optional, nullable)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions5

- `type` (enum, required)
  - Allowed values: `PNG`
- `pixelWidth` (double, optional, nullable)
- `pixelHeight` (double, optional, nullable)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2NotificationAttachmentsItemsFormatOptions6

- `type` (enum, required)
  - Allowed values: `NONE`

### One element

Export one element

- `type` (enum, required)
  - Allowed values: `element`
- `elementId` (string, required)

### One page

Export one page

- `type` (enum, required)
  - Allowed values: `page`
- `pageId` (string, required)

### Multiple elements

Export multiple elements

- `type` (enum, required)
  - Allowed values: `element`
- `nodeIds` (list of string, required)

### Multiple pages

Export multiple pages

- `type` (enum, required)
  - Allowed values: `page`
- `nodeIds` (list of string, required)

### Entire workbook

Export all pages and elements in a workbook

- `type` (enum, required)
  - Allowed values: `all`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItems

- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItems0
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItems1
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItems2

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItems

- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItems0
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItems1
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItems2

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItems

- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItems0
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItems1
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItems2

### boolean

- `type` (enum, required)
  - Allowed values: `boolean`
- `value` (boolean, required, nullable)

### number

- `type` (enum, required)
  - Allowed values: `number`
- `value` (double, required, nullable)

### text

- `type` (enum, required)
  - Allowed values: `text`
- `value` (string, required, nullable)

### date

- `type` (enum, required)
  - Allowed values: `date`
- `value` (DashVariablesOneOf3Value, required, nullable)

### number-list

- `type` (enum, required)
  - Allowed values: `number-list`
- `value` (list of double, required)

### text-list

- `type` (enum, required)
  - Allowed values: `text-list`
- `value` (list of string, required)

### date-list

- `type` (enum, required)
  - Allowed values: `date-list`
- `value` (list of double, required)

### boolean-list

- `type` (enum, required)
  - Allowed values: `boolean-list`
- `value` (DashVariablesOneOf7Value, required)

### date-range

- `type` (enum, required)
  - Allowed values: `date-range`
- `min` (DashVariablesOneOf8Min, required, nullable)
- `max` (DashVariablesOneOf8Max, required, nullable)

### number-range

- `type` (enum, required)
  - Allowed values: `number-range`
- `min` (double, required, nullable)
- `max` (double, required, nullable)

### date-null

- `type` (enum, required)
  - Allowed values: `date-null`

### number-null

- `type` (enum, required)
  - Allowed values: `number-null`

### text-null

- `type` (enum, required)
  - Allowed values: `text-null`

### boolean-null

- `type` (enum, required)
  - Allowed values: `boolean-null`

### hierarchical-list

- `type` (enum, required)
  - Allowed values: `hierarchical-list`
- `value` (list of string, required)

### file

- `type` (enum, required)
  - Allowed values: `file`
- `value` (DashVariablesOneOf15Value, required)

### file-null

- `type` (enum, required)
  - Allowed values: `file-null`

### file-list

- `type` (enum, required)
  - Allowed values: `file-list`
- `value` (list of DashVariablesOneOf17ValueItems, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables0

- `type` (enum, required)
  - Allowed values: `boolean`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables1

- `type` (enum, required)
  - Allowed values: `number`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables2

- `type` (enum, required)
  - Allowed values: `text`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables3

- `type` (enum, required)
  - Allowed values: `date`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables4

- `type` (enum, required)
  - Allowed values: `number-list`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables5

- `type` (enum, required)
  - Allowed values: `text-list`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables6

- `type` (enum, required)
  - Allowed values: `date-list`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables7

- `type` (enum, required)
  - Allowed values: `boolean-list`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables8

- `type` (enum, required)
  - Allowed values: `date-range`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables9

- `type` (enum, required)
  - Allowed values: `number-range`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables10

- `type` (enum, required)
  - Allowed values: `date-null`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables11

- `type` (enum, required)
  - Allowed values: `number-null`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables12

- `type` (enum, required)
  - Allowed values: `text-null`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2DynamicExportSettingsVariables13

- `type` (enum, required)
  - Allowed values: `boolean-null`

### Element is empty

If there's no data

- `type` (enum, required) — Type of condition
  - Allowed values: `isEmpty`
- `elementId` (string, required) — ID of the element

### Element is not empty

If there's data

- `type` (enum, required) — Type of condition
  - Allowed values: `isNotEmpty`
- `elementId` (string, required) — ID of the element

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1Condition2

If a condition is met

- `type` (enum, required) — Type of condition
  - Allowed values: `column`
- `elementId` (string, required) — ID of the element
- `columnId` (string, required) — ID of the column
- `op` (enum, required) — Operator
  - Allowed values: `Equals`, `GreaterThan`, `GreaterThanEq`, `LessThan`, `LessThanEq`, `NotEquals`, `IsNull`, `IsNotNull`, `Contains`, `StartsWith`, `EndsWith`
- `mode` (enum, required) — Kind of condition evaluation
  - Allowed values: `any`, `all`
- `value` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Value, optional) — Column value

### Boolean value

Boolean value

- `type` (enum, required)
  - Allowed values: `boolean`
- `value` (boolean, required)

### Number value

Number value

- `type` (enum, required)
  - Allowed values: `number`
- `value` (double, required)

### Text value

Text value

- `type` (enum, required)
  - Allowed values: `text`
- `value` (string, required)

### Date value

Date value

- `type` (enum, required)
  - Allowed values: `date`
- `value` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3Value, required) — Date selection

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf1Value

- `true` (boolean, required)
- `false` (boolean, required)
- `null` (boolean, optional)

### Number list value

Number list value

- `type` (enum, required)
  - Allowed values: `number-list`
- `value` (list of V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf0ValueItems, required)

### Text list value

Text list value

- `type` (enum, required)
  - Allowed values: `text-list`
- `value` (list of V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf1ValueItems, required)

### Date list value

Date list value

- `type` (enum, required)
  - Allowed values: `date-list`
- `value` (list of V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf2ValueItems, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf3ValueItemsItems

Text value

- `type` (enum, required)
  - Allowed values: `text`
- `value` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Min

Date selection

- Fixed date selection: Fixed date selection
- Relative date selection: Relative date selection
- Null date value: Null date value

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf4Max

Date selection

- Fixed date selection: Fixed date selection
- Relative date selection: Relative date selection
- Null date value: Null date value

### Null date value

Null date value

- `type` (enum, required)
  - Allowed values: `date-null`

### Null number value

Null number value

- `type` (enum, required)
  - Allowed values: `number-null`

### Null text value

Null text value

- `type` (enum, required)
  - Allowed values: `text-null`

### Null boolean value

Null boolean value

- `type` (enum, required)
  - Allowed values: `boolean-null`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItems0

- `type` (enum, required)
  - Allowed values: `isEmpty`
- `sheetId` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItems1

- `type` (enum, required)
  - Allowed values: `isNotEmpty`
- `sheetId` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItems2

- `type` (enum, required)
  - Allowed values: `sheetColumn`
- `sheetId` (string, required)
- `mode` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Mode, required)
- `columnId` (string, required)
- `op` (enum, required)
  - Allowed values: `Equals`, `GreaterThan`, `GreaterThanEq`, `LessThan`, `LessThanEq`, `NotEquals`, `IsNotNull`, `IsNull`, `Contains`, `StartsWith`, `EndsWith`
- `value` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value, optional)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItems0

- `type` (enum, required)
  - Allowed values: `isEmpty`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItems1

- `type` (enum, required)
  - Allowed values: `isNotEmpty`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItems2

- `type` (enum, required)
  - Allowed values: `queryColumn`
- `mode` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Mode, required)
- `columnId` (string, required)
- `op` (enum, required)
  - Allowed values: `Equals`, `GreaterThan`, `GreaterThanEq`, `LessThan`, `LessThanEq`, `NotEquals`, `IsNotNull`, `IsNull`, `Contains`, `StartsWith`, `EndsWith`
- `value` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value, optional)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItems0

- `type` (enum, required)
  - Allowed values: `isEmpty`
- `tileId` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItems1

- `type` (enum, required)
  - Allowed values: `isNotEmpty`
- `tileId` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItems2

- `type` (enum, required)
  - Allowed values: `chartColumn`
- `tileId` (string, required)
- `mode` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Mode, required)
- `columnId` (string, required)
- `op` (enum, required)
  - Allowed values: `Equals`, `GreaterThan`, `GreaterThanEq`, `LessThan`, `LessThanEq`, `NotEquals`, `IsNotNull`, `IsNull`, `Contains`, `StartsWith`, `EndsWith`
- `value` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value, optional)

### DashVariablesOneOf3Value

- DashVariablesOneOf3Value0
- DashVariablesOneOf3Value1

### DashVariablesOneOf7Value

- `true` (boolean, required)
- `false` (boolean, required)
- `null` (boolean, optional)

### DashVariablesOneOf8Min

- DashVariablesOneOf8Min0
- DashVariablesOneOf8Min1

### DashVariablesOneOf8Max

- DashVariablesOneOf8Max0
- DashVariablesOneOf8Max1

### DashVariablesOneOf15Value

- `id` (string, required)
- `name` (string, required)
- `size` (double, required)
- `type` (string, required)
- `downloadUrl` (string, required)

### DashVariablesOneOf17ValueItems

- `id` (string, required)
- `name` (string, required)
- `size` (double, required)
- `type` (string, required)
- `downloadUrl` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionOneOf2Value

Column value

- Boolean value: Boolean value
- Integer value: Integer value
- Text value: Text value
- Fixed date selection: Fixed date selection

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf0OneOf3Value

Date selection

- Fixed date selection: Fixed date selection
- Relative date selection: Relative date selection
- Null date value: Null date value

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf0ValueItems

- Number value: Number value
- Null number value: Null number value

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf1ValueItems

- Text value: Text value
- Null text value: Null text value

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchRequestBodyContentApplicationJsonSchemaConfigV2WorkbookSettingsControlValuesOneOf2OneOf2ValueItems

- Fixed date selection: Fixed date selection
- Null date value: Null date value

### Fixed date selection

Fixed date selection

- `type` (enum, required)
  - Allowed values: `fixed-date`
- `date` (string, required) — ISO-8601 date string

### Relative date selection

Relative date selection, for example "Next 4 days"

- `type` (enum, required)
  - Allowed values: `prior`, `next`
- `unit` (enum, required)
  - Allowed values: `year`, `quarter`, `month`, `week`, `isoWeek`, `day`, `hour`, `minute`, `second`
- `x` (double, required)

### Null date value

Null date value

- `type` (enum, required)
  - Allowed values: `date-null`

### Fixed date selection

Fixed date selection

- `type` (enum, required)
  - Allowed values: `fixed-date`
- `date` (string, required) — ISO-8601 date string

### Relative date selection

Relative date selection, for example "Next 4 days"

- `type` (enum, required)
  - Allowed values: `prior`, `next`
- `unit` (enum, required)
  - Allowed values: `year`, `quarter`, `month`, `week`, `isoWeek`, `day`, `hour`, `minute`, `second`
- `x` (double, required)

### Null date value

Null date value

- `type` (enum, required)
  - Allowed values: `date-null`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Mode

- enum
  - Allowed values: `any`
- enum
  - Allowed values: `all`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value

- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value0
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value1
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value2
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value3
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value4
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value5
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value6
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value7
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value8
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value9

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Mode

- enum
  - Allowed values: `any`
- enum
  - Allowed values: `all`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value

- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value0
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value1
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value2
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value3
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value4
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value5
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value6
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value7
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value8
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value9

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Mode

- enum
  - Allowed values: `any`
- enum
  - Allowed values: `all`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value

- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value0
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value1
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value2
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value3
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value4
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value5
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value6
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value7
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value8
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value9

### DashVariablesOneOf3Value0

- `type` (enum, required)
  - Allowed values: `fixed`
- `date` (double, required)

### DashVariablesOneOf3Value1

- `type` (enum, required)
  - Allowed values: `prior`, `next`
- `unit` (enum, required)
  - Allowed values: `year`, `quarter`, `month`, `week`, `isoWeek`, `day`, `hour`, `minute`, `second`
- `x` (double, required)

### DashVariablesOneOf8Min0

- `type` (enum, required)
  - Allowed values: `fixed`
- `date` (double, required)

### DashVariablesOneOf8Min1

- `type` (enum, required)
  - Allowed values: `prior`, `next`
- `unit` (enum, required)
  - Allowed values: `year`, `quarter`, `month`, `week`, `isoWeek`, `day`, `hour`, `minute`, `second`
- `x` (double, required)

### DashVariablesOneOf8Max0

- `type` (enum, required)
  - Allowed values: `fixed`
- `date` (double, required)

### DashVariablesOneOf8Max1

- `type` (enum, required)
  - Allowed values: `prior`, `next`
- `unit` (enum, required)
  - Allowed values: `year`, `quarter`, `month`, `week`, `isoWeek`, `day`, `hour`, `minute`, `second`
- `x` (double, required)

### Boolean value

Boolean value

- `type` (enum, required)
  - Allowed values: `boolean`
- `value` (boolean, required)

### Integer value

Integer value

- `type` (enum, required)
  - Allowed values: `integer`
- `value` (string, required)

### Text value

Text value

- `type` (enum, required)
  - Allowed values: `text`
- `value` (string, required)

### Fixed date selection

Fixed date selection

- `type` (enum, required)
  - Allowed values: `fixed-date`
- `date` (string, required) — ISO-8601 date string

### Fixed date selection

Fixed date selection

- `type` (enum, required)
  - Allowed values: `fixed-date`
- `date` (string, required) — ISO-8601 date string

### Relative date selection

Relative date selection, for example "Next 4 days"

- `type` (enum, required)
  - Allowed values: `prior`, `next`
- `unit` (enum, required)
  - Allowed values: `year`, `quarter`, `month`, `week`, `isoWeek`, `day`, `hour`, `minute`, `second`
- `x` (double, required)

### Null date value

Null date value

- `type` (enum, required)
  - Allowed values: `date-null`

### Number value

Number value

- `type` (enum, required)
  - Allowed values: `number`
- `value` (double, required)

### Null number value

Null number value

- `type` (enum, required)
  - Allowed values: `number-null`

### Text value

Text value

- `type` (enum, required)
  - Allowed values: `text`
- `value` (string, required)

### Null text value

Null text value

- `type` (enum, required)
  - Allowed values: `text-null`

### Fixed date selection

Fixed date selection

- `type` (enum, required)
  - Allowed values: `fixed-date`
- `date` (string, required) — ISO-8601 date string

### Null date value

Null date value

- `type` (enum, required)
  - Allowed values: `date-null`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value0

- `type` (enum, required)
  - Allowed values: `null`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value1

- `type` (enum, required)
  - Allowed values: `bool`
- `val` (boolean, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value2

- `type` (enum, required)
  - Allowed values: `number`
- `val` (double, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value3

- `type` (enum, required)
  - Allowed values: `integer`
- `val` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value4

- `type` (enum, required)
  - Allowed values: `string`
- `val` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value5

- `type` (enum, required)
  - Allowed values: `datetime`
- `val` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value6

- `type` (enum, required)
  - Allowed values: `error`
- `val` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value7

- `type` (enum, required)
  - Allowed values: `record`
- `val` (map from string to any, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value8

- `type` (enum, required)
  - Allowed values: `array`
- `val` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value9

- `type` (enum, required)
  - Allowed values: `variant`
- `val` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value0

- `type` (enum, required)
  - Allowed values: `null`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value1

- `type` (enum, required)
  - Allowed values: `bool`
- `val` (boolean, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value2

- `type` (enum, required)
  - Allowed values: `number`
- `val` (double, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value3

- `type` (enum, required)
  - Allowed values: `integer`
- `val` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value4

- `type` (enum, required)
  - Allowed values: `string`
- `val` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value5

- `type` (enum, required)
  - Allowed values: `datetime`
- `val` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value6

- `type` (enum, required)
  - Allowed values: `error`
- `val` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value7

- `type` (enum, required)
  - Allowed values: `record`
- `val` (map from string to any, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value8

- `type` (enum, required)
  - Allowed values: `array`
- `val` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value9

- `type` (enum, required)
  - Allowed values: `variant`
- `val` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value0

- `type` (enum, required)
  - Allowed values: `null`

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value1

- `type` (enum, required)
  - Allowed values: `bool`
- `val` (boolean, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value2

- `type` (enum, required)
  - Allowed values: `number`
- `val` (double, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value3

- `type` (enum, required)
  - Allowed values: `integer`
- `val` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value4

- `type` (enum, required)
  - Allowed values: `string`
- `val` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value5

- `type` (enum, required)
  - Allowed values: `datetime`
- `val` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value6

- `type` (enum, required)
  - Allowed values: `error`
- `val` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value7

- `type` (enum, required)
  - Allowed values: `record`
- `val` (map from string to any, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value8

- `type` (enum, required)
  - Allowed values: `array`
- `val` (V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value9

- `type` (enum, required)
  - Allowed values: `variant`
- `val` (string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val

- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val0
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val1
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val2
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val3
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val4
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val5
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val6

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val

- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val0
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val1
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val2
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val3
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val4
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val5
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val6

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val

- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val0
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val1
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val2
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val3
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val4
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val5
- V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val6

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val0

- `type` (enum, required)
  - Allowed values: `boolArr`
- `data` (list of boolean, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val1

- `type` (enum, required)
  - Allowed values: `numberArr`
- `data` (list of double, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val2

- `type` (enum, required)
  - Allowed values: `bigintArr`
- `data` (list of string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val3

- `type` (enum, required)
  - Allowed values: `stringArr`
- `data` (list of string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val4

- `type` (enum, required)
  - Allowed values: `datetimeArr`
- `data` (list of double, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val5

- `type` (enum, required)
  - Allowed values: `bytesArr`
- `data` (list of string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val6

- `type` (enum, required)
  - Allowed values: `variantArr`
- `data` (list of string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val0

- `type` (enum, required)
  - Allowed values: `boolArr`
- `data` (list of boolean, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val1

- `type` (enum, required)
  - Allowed values: `numberArr`
- `data` (list of double, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val2

- `type` (enum, required)
  - Allowed values: `bigintArr`
- `data` (list of string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val3

- `type` (enum, required)
  - Allowed values: `stringArr`
- `data` (list of string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val4

- `type` (enum, required)
  - Allowed values: `datetimeArr`
- `data` (list of double, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val5

- `type` (enum, required)
  - Allowed values: `bytesArr`
- `data` (list of string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val6

- `type` (enum, required)
  - Allowed values: `variantArr`
- `data` (list of string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val0

- `type` (enum, required)
  - Allowed values: `boolArr`
- `data` (list of boolean, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val1

- `type` (enum, required)
  - Allowed values: `numberArr`
- `data` (list of double, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val2

- `type` (enum, required)
  - Allowed values: `bigintArr`
- `data` (list of string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val3

- `type` (enum, required)
  - Allowed values: `stringArr`
- `data` (list of string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val4

- `type` (enum, required)
  - Allowed values: `datetimeArr`
- `data` (list of double, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val5

- `type` (enum, required)
  - Allowed values: `bytesArr`
- `data` (list of string, required)

### V2WorkbooksWorkbookIdSchedulesScheduleIdPatchResponsesContentApplicationJsonSchemaConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val6

- `type` (enum, required)
  - Allowed values: `variantArr`
- `data` (list of string, required)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "scheduledNotificationId": "string",
  "workbookId": "string",
  "schedule": {
    "cronSpec": "string",
    "timezone": "string"
  },
  "configV2": {
    "title": "string",
    "messageBody": "string",
    "notificationAttachments": [
      {
        "formatOptions": {
          "type": "CSV"
        },
        "chartId": "string",
        "workbookExportSource": {
          "elementId": "string",
          "type": "element"
        }
      }
    ],
    "includeLink": true,
    "runAsRecipient": true,
    "attachmentSettings": {
      "mergePdfAttachments": true,
      "zipAttachments": true
    },
    "conditionOptions": {
      "type": "always"
    },
    "alertConfig": {
      "window": "alltime",
      "volume": 1.1
    },
    "notificationName": "string",
    "dashboardSettings": {
      "filters": [
        {
          "id": "string",
          "filterStr": "string"
        }
      ],
      "variableValues": {},
      "language": "de",
      "languageVariant": "string"
    },
    "dynamicExportSettings": {
      "variables": {}
    },
    "dynamicRecipientSettings": {
      "sourceNodeId": "string",
      "recipientColumnId": "string"
    },
    "rowLimit": 1.1,
    "workbookVariant": {
      "tagId": "string",
      "exploreKey": "string",
      "bookmarkId": "string"
    },
    "embedOpts": {
      "embedId": "string",
      "evalConnectionId": "string"
    },
    "formatting": {
      "pivotHeaderStyle": "merged"
    }
  },
  "isSuspended": true,
  "ownerId": "string",
  "lastUpdatedByUser": "string",
  "disabledAt": "2024-01-15T09:30:00Z",
  "disabledBy": "string",
  "createdBy": "string",
  "updatedBy": "string",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/workbooks/workbookId/schedules/scheduleId"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/workbooks/workbookId/schedules/scheduleId';
const options = {
  method: 'PATCH',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/workbooks/workbookId/schedules/scheduleId"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/workbooks/workbookId/schedules/scheduleId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.sigmacomputing.com/v2/workbooks/workbookId/schedules/scheduleId")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.sigmacomputing.com/v2/workbooks/workbookId/schedules/scheduleId', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/workbooks/workbookId/schedules/scheduleId");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/workbooks/workbookId/schedules/scheduleId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```